/[tivodecode]/t2sami/trunk/Makefile.in
ViewVC logotype

Contents of /t2sami/trunk/Makefile.in

Parent Directory Parent Directory | Revision Log Revision Log


Revision 202 - (show annotations) (download)
Sun Apr 1 05:30:15 2007 UTC (15 years, 2 months ago) by jeremyd2019
File size: 20113 byte(s)
add header files to SOURCES so that they get packaged by 'make dist'

1 # Makefile.in generated by automake 1.10 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006 Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 VPATH = @srcdir@
18 pkgdatadir = $(datadir)/@PACKAGE@
19 pkglibdir = $(libdir)/@PACKAGE@
20 pkgincludedir = $(includedir)/@PACKAGE@
21 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
22 install_sh_DATA = $(install_sh) -c -m 644
23 install_sh_PROGRAM = $(install_sh) -c
24 install_sh_SCRIPT = $(install_sh) -c
25 INSTALL_HEADER = $(INSTALL_DATA)
26 transform = $(program_transform_name)
27 NORMAL_INSTALL = :
28 PRE_INSTALL = :
29 POST_INSTALL = :
30 NORMAL_UNINSTALL = :
31 PRE_UNINSTALL = :
32 POST_UNINSTALL = :
33 bin_PROGRAMS = t2sami$(EXEEXT)
34 subdir = .
35 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
36 $(srcdir)/Makefile.in $(srcdir)/config.h.in \
37 $(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
38 depcomp fseeko.c getopt.c getopt_long.c install-sh missing
39 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
40 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_boost_base.m4 \
41 $(top_srcdir)/m4/ax_boost_filesystem.m4 \
42 $(top_srcdir)/m4/c-compiler.m4 $(top_srcdir)/m4/general.m4 \
43 $(top_srcdir)/configure.in
44 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
45 $(ACLOCAL_M4)
46 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
47 configure.lineno config.status.lineno
48 mkinstalldirs = $(install_sh) -d
49 CONFIG_HEADER = config.h
50 CONFIG_CLEAN_FILES =
51 am__installdirs = "$(DESTDIR)$(bindir)"
52 binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
53 PROGRAMS = $(bin_PROGRAMS)
54 am_t2sami_OBJECTS = TScan.$(OBJEXT) PS.$(OBJEXT) CC.$(OBJEXT) \
55 Bit.$(OBJEXT) Utility.$(OBJEXT) t2samiapp.$(OBJEXT) \
56 happyfile.$(OBJEXT)
57 t2sami_OBJECTS = $(am_t2sami_OBJECTS)
58 am__DEPENDENCIES_1 =
59 t2sami_DEPENDENCIES = $(LIBOBJS) $(am__DEPENDENCIES_1)
60 DEFAULT_INCLUDES = -I.@am__isrc@
61 depcomp = $(SHELL) $(top_srcdir)/depcomp
62 am__depfiles_maybe = depfiles
63 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
64 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
65 CCLD = $(CC)
66 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
67 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
68 $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
69 CXXLD = $(CXX)
70 CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
71 -o $@
72 SOURCES = $(t2sami_SOURCES)
73 DIST_SOURCES = $(t2sami_SOURCES)
74 ETAGS = etags
75 CTAGS = ctags
76 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
77 distdir = $(PACKAGE)-$(VERSION)
78 top_distdir = $(distdir)
79 am__remove_distdir = \
80 { test ! -d $(distdir) \
81 || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
82 && rm -fr $(distdir); }; }
83 DIST_ARCHIVES = $(distdir).tar.gz
84 GZIP_ENV = --best
85 distuninstallcheck_listfiles = find . -type f -print
86 distcleancheck_listfiles = find . -type f -print
87 ACLOCAL = @ACLOCAL@
88 AMTAR = @AMTAR@
89 AUTOCONF = @AUTOCONF@
90 AUTOHEADER = @AUTOHEADER@
91 AUTOMAKE = @AUTOMAKE@
92 AWK = @AWK@
93 BOOST_CPPFLAGS = @BOOST_CPPFLAGS@
94 BOOST_FILESYSTEM_LIB = @BOOST_FILESYSTEM_LIB@
95 BOOST_LDFLAGS = @BOOST_LDFLAGS@
96 CC = @CC@
97 CCDEPMODE = @CCDEPMODE@
98 CFLAGS = @CFLAGS@
99 CPP = @CPP@
100 CPPFLAGS = @CPPFLAGS@
101 CXX = @CXX@
102 CXXDEPMODE = @CXXDEPMODE@
103 CXXFLAGS = @CXXFLAGS@
104 CYGPATH_W = @CYGPATH_W@
105 DEFS = @DEFS@
106 DEPDIR = @DEPDIR@
107 DOXYGEN = @DOXYGEN@
108 ECHO_C = @ECHO_C@
109 ECHO_N = @ECHO_N@
110 ECHO_T = @ECHO_T@
111 EGREP = @EGREP@
112 EXEEXT = @EXEEXT@
113 GREP = @GREP@
114 INSTALL = @INSTALL@
115 INSTALL_DATA = @INSTALL_DATA@
116 INSTALL_PROGRAM = @INSTALL_PROGRAM@
117 INSTALL_SCRIPT = @INSTALL_SCRIPT@
118 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
119 LDFLAGS = @LDFLAGS@
120 LIBOBJS = @LIBOBJS@
121 LIBS = @LIBS@
122 LTLIBOBJS = @LTLIBOBJS@
123 MAINT = @MAINT@
124 MAKEINFO = @MAKEINFO@
125 MKDIR_P = @MKDIR_P@
126 OBJEXT = @OBJEXT@
127 PACKAGE = @PACKAGE@
128 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
129 PACKAGE_NAME = @PACKAGE_NAME@
130 PACKAGE_STRING = @PACKAGE_STRING@
131 PACKAGE_TARNAME = @PACKAGE_TARNAME@
132 PACKAGE_VERSION = @PACKAGE_VERSION@
133 PATH_SEPARATOR = @PATH_SEPARATOR@
134 RANLIB = @RANLIB@
135 SET_MAKE = @SET_MAKE@
136 SHELL = @SHELL@
137 STRIP = @STRIP@
138 VERSION = @VERSION@
139 abs_builddir = @abs_builddir@
140 abs_srcdir = @abs_srcdir@
141 abs_top_builddir = @abs_top_builddir@
142 abs_top_srcdir = @abs_top_srcdir@
143 ac_ct_CC = @ac_ct_CC@
144 ac_ct_CXX = @ac_ct_CXX@
145 am__include = @am__include@
146 am__leading_dot = @am__leading_dot@
147 am__quote = @am__quote@
148 am__tar = @am__tar@
149 am__untar = @am__untar@
150 bindir = @bindir@
151 build_alias = @build_alias@
152 builddir = @builddir@
153 datadir = @datadir@
154 datarootdir = @datarootdir@
155 docdir = @docdir@
156 dvidir = @dvidir@
157 exec_prefix = @exec_prefix@
158 host_alias = @host_alias@
159 htmldir = @htmldir@
160 includedir = @includedir@
161 infodir = @infodir@
162 install_sh = @install_sh@
163 libdir = @libdir@
164 libexecdir = @libexecdir@
165 localedir = @localedir@
166 localstatedir = @localstatedir@
167 mandir = @mandir@
168 mkdir_p = @mkdir_p@
169 oldincludedir = @oldincludedir@
170 pdfdir = @pdfdir@
171 prefix = @prefix@
172 program_transform_name = @program_transform_name@
173 psdir = @psdir@
174 sbindir = @sbindir@
175 sharedstatedir = @sharedstatedir@
176 srcdir = @srcdir@
177 sysconfdir = @sysconfdir@
178 target_alias = @target_alias@
179 top_builddir = @top_builddir@
180 top_srcdir = @top_srcdir@
181 ACLOCAL_AMFLAGS = -I m4
182 AM_LDFLAGS = $(BOOST_LDFLAGS)
183 AM_CXXFLAGS = $(BOOST_CPPFLAGS)
184 t2sami_SOURCES = TScan.cpp PS.cpp CC.cpp Bit.cpp Utility.cpp t2samiapp.cpp happyfile.c Bit.h CC.h PS.h TScan.h Utility.h fseeko.h getopt_long.h happyfile.h
185 t2sami_LDADD = $(LIBOBJS) $(BOOST_FILESYSTEM_LIB)
186 all: config.h
187 $(MAKE) $(AM_MAKEFLAGS) all-am
188
189 .SUFFIXES:
190 .SUFFIXES: .c .cpp .o .obj
191 am--refresh:
192 @:
193 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps)
194 @for dep in $?; do \
195 case '$(am__configure_deps)' in \
196 *$$dep*) \
197 echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
198 cd $(srcdir) && $(AUTOMAKE) --gnu \
199 && exit 0; \
200 exit 1;; \
201 esac; \
202 done; \
203 echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
204 cd $(top_srcdir) && \
205 $(AUTOMAKE) --gnu Makefile
206 .PRECIOUS: Makefile
207 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
208 @case '$?' in \
209 *config.status*) \
210 echo ' $(SHELL) ./config.status'; \
211 $(SHELL) ./config.status;; \
212 *) \
213 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
214 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
215 esac;
216
217 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
218 $(SHELL) ./config.status --recheck
219
220 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
221 cd $(srcdir) && $(AUTOCONF)
222 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
223 cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
224
225 config.h: stamp-h1
226 @if test ! -f $@; then \
227 rm -f stamp-h1; \
228 $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
229 else :; fi
230
231 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
232 @rm -f stamp-h1
233 cd $(top_builddir) && $(SHELL) ./config.status config.h
234 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
235 cd $(top_srcdir) && $(AUTOHEADER)
236 rm -f stamp-h1
237 touch $@
238
239 distclean-hdr:
240 -rm -f config.h stamp-h1
241 install-binPROGRAMS: $(bin_PROGRAMS)
242 @$(NORMAL_INSTALL)
243 test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
244 @list='$(bin_PROGRAMS)'; for p in $$list; do \
245 p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
246 if test -f $$p \
247 ; then \
248 f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
249 echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
250 $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
251 else :; fi; \
252 done
253
254 uninstall-binPROGRAMS:
255 @$(NORMAL_UNINSTALL)
256 @list='$(bin_PROGRAMS)'; for p in $$list; do \
257 f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
258 echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
259 rm -f "$(DESTDIR)$(bindir)/$$f"; \
260 done
261
262 clean-binPROGRAMS:
263 -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
264 t2sami$(EXEEXT): $(t2sami_OBJECTS) $(t2sami_DEPENDENCIES)
265 @rm -f t2sami$(EXEEXT)
266 $(CXXLINK) $(t2sami_OBJECTS) $(t2sami_LDADD) $(LIBS)
267
268 mostlyclean-compile:
269 -rm -f *.$(OBJEXT)
270
271 distclean-compile:
272 -rm -f *.tab.c
273
274 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/fseeko.Po@am__quote@
275 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/getopt.Po@am__quote@
276 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/getopt_long.Po@am__quote@
277 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Bit.Po@am__quote@
278 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CC.Po@am__quote@
279 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/PS.Po@am__quote@
280 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/TScan.Po@am__quote@
281 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Utility.Po@am__quote@
282 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/happyfile.Po@am__quote@
283 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t2samiapp.Po@am__quote@
284
285 .c.o:
286 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
287 @am__fastdepCC_TRUE@ mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
288 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
289 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
290 @am__fastdepCC_FALSE@ $(COMPILE) -c $<
291
292 .c.obj:
293 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
294 @am__fastdepCC_TRUE@ mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
295 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
296 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
297 @am__fastdepCC_FALSE@ $(COMPILE) -c `$(CYGPATH_W) '$<'`
298
299 .cpp.o:
300 @am__fastdepCXX_TRUE@ $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
301 @am__fastdepCXX_TRUE@ mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
302 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
303 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
304 @am__fastdepCXX_FALSE@ $(CXXCOMPILE) -c -o $@ $<
305
306 .cpp.obj:
307 @am__fastdepCXX_TRUE@ $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
308 @am__fastdepCXX_TRUE@ mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
309 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
310 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
311 @am__fastdepCXX_FALSE@ $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
312
313 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
314 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
315 unique=`for i in $$list; do \
316 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
317 done | \
318 $(AWK) ' { files[$$0] = 1; } \
319 END { for (i in files) print i; }'`; \
320 mkid -fID $$unique
321 tags: TAGS
322
323 TAGS: $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
324 $(TAGS_FILES) $(LISP)
325 tags=; \
326 here=`pwd`; \
327 list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
328 unique=`for i in $$list; do \
329 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
330 done | \
331 $(AWK) ' { files[$$0] = 1; } \
332 END { for (i in files) print i; }'`; \
333 if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
334 test -n "$$unique" || unique=$$empty_fix; \
335 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
336 $$tags $$unique; \
337 fi
338 ctags: CTAGS
339 CTAGS: $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
340 $(TAGS_FILES) $(LISP)
341 tags=; \
342 here=`pwd`; \
343 list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
344 unique=`for i in $$list; do \
345 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
346 done | \
347 $(AWK) ' { files[$$0] = 1; } \
348 END { for (i in files) print i; }'`; \
349 test -z "$(CTAGS_ARGS)$$tags$$unique" \
350 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
351 $$tags $$unique
352
353 GTAGS:
354 here=`$(am__cd) $(top_builddir) && pwd` \
355 && cd $(top_srcdir) \
356 && gtags -i $(GTAGS_ARGS) $$here
357
358 distclean-tags:
359 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
360
361 distdir: $(DISTFILES)
362 $(am__remove_distdir)
363 test -d $(distdir) || mkdir $(distdir)
364 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
365 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
366 list='$(DISTFILES)'; \
367 dist_files=`for file in $$list; do echo $$file; done | \
368 sed -e "s|^$$srcdirstrip/||;t" \
369 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
370 case $$dist_files in \
371 */*) $(MKDIR_P) `echo "$$dist_files" | \
372 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
373 sort -u` ;; \
374 esac; \
375 for file in $$dist_files; do \
376 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
377 if test -d $$d/$$file; then \
378 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
379 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
380 cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
381 fi; \
382 cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
383 else \
384 test -f $(distdir)/$$file \
385 || cp -p $$d/$$file $(distdir)/$$file \
386 || exit 1; \
387 fi; \
388 done
389 -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
390 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
391 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
392 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
393 || chmod -R a+r $(distdir)
394 dist-gzip: distdir
395 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
396 $(am__remove_distdir)
397
398 dist-bzip2: distdir
399 tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
400 $(am__remove_distdir)
401
402 dist-tarZ: distdir
403 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
404 $(am__remove_distdir)
405
406 dist-shar: distdir
407 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
408 $(am__remove_distdir)
409
410 dist-zip: distdir
411 -rm -f $(distdir).zip
412 zip -rq $(distdir).zip $(distdir)
413 $(am__remove_distdir)
414
415 dist dist-all: distdir
416 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
417 $(am__remove_distdir)
418
419 # This target untars the dist file and tries a VPATH configuration. Then
420 # it guarantees that the distribution is self-contained by making another
421 # tarfile.
422 distcheck: dist
423 case '$(DIST_ARCHIVES)' in \
424 *.tar.gz*) \
425 GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
426 *.tar.bz2*) \
427 bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
428 *.tar.Z*) \
429 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
430 *.shar.gz*) \
431 GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
432 *.zip*) \
433 unzip $(distdir).zip ;;\
434 esac
435 chmod -R a-w $(distdir); chmod a+w $(distdir)
436 mkdir $(distdir)/_build
437 mkdir $(distdir)/_inst
438 chmod a-w $(distdir)
439 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
440 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
441 && cd $(distdir)/_build \
442 && ../configure --srcdir=.. --prefix="$$dc_install_base" \
443 $(DISTCHECK_CONFIGURE_FLAGS) \
444 && $(MAKE) $(AM_MAKEFLAGS) \
445 && $(MAKE) $(AM_MAKEFLAGS) dvi \
446 && $(MAKE) $(AM_MAKEFLAGS) check \
447 && $(MAKE) $(AM_MAKEFLAGS) install \
448 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
449 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
450 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
451 distuninstallcheck \
452 && chmod -R a-w "$$dc_install_base" \
453 && ({ \
454 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
455 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
456 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
457 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
458 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
459 } || { rm -rf "$$dc_destdir"; exit 1; }) \
460 && rm -rf "$$dc_destdir" \
461 && $(MAKE) $(AM_MAKEFLAGS) dist \
462 && rm -rf $(DIST_ARCHIVES) \
463 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
464 $(am__remove_distdir)
465 @(echo "$(distdir) archives ready for distribution: "; \
466 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
467 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
468 distuninstallcheck:
469 @cd $(distuninstallcheck_dir) \
470 && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
471 || { echo "ERROR: files left after uninstall:" ; \
472 if test -n "$(DESTDIR)"; then \
473 echo " (check DESTDIR support)"; \
474 fi ; \
475 $(distuninstallcheck_listfiles) ; \
476 exit 1; } >&2
477 distcleancheck: distclean
478 @if test '$(srcdir)' = . ; then \
479 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
480 exit 1 ; \
481 fi
482 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
483 || { echo "ERROR: files left in build directory after distclean:" ; \
484 $(distcleancheck_listfiles) ; \
485 exit 1; } >&2
486 check-am: all-am
487 check: check-am
488 all-am: Makefile $(PROGRAMS) config.h
489 installdirs:
490 for dir in "$(DESTDIR)$(bindir)"; do \
491 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
492 done
493 install: install-am
494 install-exec: install-exec-am
495 install-data: install-data-am
496 uninstall: uninstall-am
497
498 install-am: all-am
499 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
500
501 installcheck: installcheck-am
502 install-strip:
503 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
504 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
505 `test -z '$(STRIP)' || \
506 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
507 mostlyclean-generic:
508
509 clean-generic:
510
511 distclean-generic:
512 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
513
514 maintainer-clean-generic:
515 @echo "This command is intended for maintainers to use"
516 @echo "it deletes files that may require special tools to rebuild."
517 clean: clean-am
518
519 clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
520
521 distclean: distclean-am
522 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
523 -rm -rf $(DEPDIR) ./$(DEPDIR)
524 -rm -f Makefile
525 distclean-am: clean-am distclean-compile distclean-generic \
526 distclean-hdr distclean-tags
527
528 dvi: dvi-am
529
530 dvi-am:
531
532 html: html-am
533
534 info: info-am
535
536 info-am:
537
538 install-data-am:
539
540 install-dvi: install-dvi-am
541
542 install-exec-am: install-binPROGRAMS
543
544 install-html: install-html-am
545
546 install-info: install-info-am
547
548 install-man:
549
550 install-pdf: install-pdf-am
551
552 install-ps: install-ps-am
553
554 installcheck-am:
555
556 maintainer-clean: maintainer-clean-am
557 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
558 -rm -rf $(top_srcdir)/autom4te.cache
559 -rm -rf $(DEPDIR) ./$(DEPDIR)
560 -rm -f Makefile
561 maintainer-clean-am: distclean-am maintainer-clean-generic
562
563 mostlyclean: mostlyclean-am
564
565 mostlyclean-am: mostlyclean-compile mostlyclean-generic
566
567 pdf: pdf-am
568
569 pdf-am:
570
571 ps: ps-am
572
573 ps-am:
574
575 uninstall-am: uninstall-binPROGRAMS
576
577 .MAKE: install-am install-strip
578
579 .PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \
580 clean-binPROGRAMS clean-generic ctags dist dist-all dist-bzip2 \
581 dist-gzip dist-shar dist-tarZ dist-zip distcheck distclean \
582 distclean-compile distclean-generic distclean-hdr \
583 distclean-tags distcleancheck distdir distuninstallcheck dvi \
584 dvi-am html html-am info info-am install install-am \
585 install-binPROGRAMS install-data install-data-am install-dvi \
586 install-dvi-am install-exec install-exec-am install-html \
587 install-html-am install-info install-info-am install-man \
588 install-pdf install-pdf-am install-ps install-ps-am \
589 install-strip installcheck installcheck-am installdirs \
590 maintainer-clean maintainer-clean-generic mostlyclean \
591 mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
592 tags uninstall uninstall-am uninstall-binPROGRAMS
593
594
595 doxygen: Doxyfile $(HEADERS) $(SOURCES) config.h.in
596 $(DOXYGEN) Doxyfile
597 # Tell versions [3.59,3.63) of GNU make to not export all variables.
598 # Otherwise a system limit (for SysV at least) may be exceeded.
599 .NOEXPORT:

cvs@jdrake.com
ViewVC Help
Powered by ViewVC 1.1.13